mscorlib 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection To be added.

Represents an access control list (ACL) and is the base class for the , , , and classes.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Byte 2

  The revision level cannot be changed after an instance of the class has been created.

  The revision level of the current . This value is returned by the property for Access Control Lists (ACLs) that are not associated with Directory Services objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Byte 4 To be added.

  The revision level of the current . This value is returned by the property for Access Control Lists (ACLs) that are associated with Directory Services objects.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. This length should be used before marshaling the ACL into a binary array with the method.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies each of the current into the specified array.

  The array into which copies of the objects contained by the current are placed. The zero-based index of where the copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of access control entries (ACEs) in the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Marshals the contents of the object into the specified byte array beginning at the specified offset.

  The byte array into which the contents of the is marshaled. The offset at which to start marshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceEnumerator To be added.

  Returns a new instance of the class.

  The that this method returns.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  This property is always set to false. It is implemented only because it is required for the implementation of the interface.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.GenericAce `` To be added. To be added. To be added. To be added.
- Field
  2.0.0.0
  4.0.0.0
  System.Int32 65536 To be added.

  The maximum allowed binary length of a object.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte To be added. To be added.

  Gets the revision level of the .

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  This property always returns null. It is implemented only because it is required for the implementation of the interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies each of the current into the specified array.

  The array into which copies of the objects contained by the current are placed. The zero-based index of where the copying begins.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns a new instance of the class cast as an instance of the interface.

  A new object, cast as an instance of the interface.